Sorting (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.graphdb.traversal
Class Sorting

    java.lang.Object
      org.neo4j.graphdb.traversal.Sorting

    public abstract class Sorting

extends Object

Provides some common traversal sorting, used by `TraversalDescription.sort(Comparator)`.

Author:
  Mattias Persson

Method Summary
`static Comparator<? super Path>` | `endNodeProperty(String propertyKey)` Sorts `Path`s by the property value of each path's end node.
`static Comparator<? super Path>` | `endNodeRelationshipCount(PathExpander expander)` Sorts `Path`s by the relationship count returned for its end node by the supplied `expander`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### endNodeProperty

    public static Comparator<? super Path> endNodeProperty(String propertyKey)

  Sorts `Path`s by the property value of each path's end node.

  Parameters:
    `propertyKey` - the property key of the values to sort on.
  Returns:
    a `Comparator` suitable for sorting traversal results.

### endNodeRelationshipCount

    public static Comparator<? super Path> endNodeRelationshipCount(PathExpander expander)

  Sorts `Path`s by the relationship count returned for its end node by the supplied `expander`.

  Parameters:
    `expander` - the `PathExpander` to use for getting relationships off of each `Path`'s end node.
  Returns:
    a `Comparator` suitable for sorting traversal results.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.